Package com.independentsoft.office.odf.forms

# Enum Class ImagePosition

java.lang.Object
java.lang.Enum<ImagePosition>
com.independentsoft.office.odf.forms.ImagePosition

All Implemented Interfaces:
  `Serializable`, `Comparable<ImagePosition>`, `Constable`

public enum ImagePosition extends Enum<ImagePosition>
Specifies the location of an image relative to the text of a control.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  Image is placed below the text.
  `END`
  Image is placed after the text.
  `NONE`
  None.
  `START`
  Image is placed before the text.
  `TOP`
  Image is placed above the text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImagePosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ImagePosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final ImagePosition START
    Image is placed before the text.

  - ### END

    public static final ImagePosition END
    Image is placed after the text.

  - ### TOP

    public static final ImagePosition TOP
    Image is placed above the text.

  - ### BOTTOM

    public static final ImagePosition BOTTOM
    Image is placed below the text.

  - ### NONE

    public static final ImagePosition NONE
    None.

- ## Method Details

  - ### values

    public static ImagePosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ImagePosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null